using System.Collections.Generic;

namespace InABox.Clients
{
    public class CompressedResponse
    {
        public CompressedResponse()
        {
            Headers = new Dictionary<string, string>();
            Options = new Dictionary<string, string>();
        }

        public string ContentType { get; set; }
        public Dictionary<string, string> Headers { get; set; }
        public int Status { get; set; }
        public string StatusCode { get; set; }
        public string Response { get; set; }
        public Dictionary<string, string> Options { get; set; }
    }
}